using System;
using InABox.Mobile;

[assembly: Xamarin.Forms.Dependency(typeof(InABox.Mobile.Android.DeviceID_Android))]
namespace InABox.Mobile.Android
{

    public class DeviceID_Android : IDeviceID
    {
        public String DeviceID()
        {
            return global::Android.OS.Build.Serial;
            //return CrossDeviceInfo.Current.Id;
            //return Guid.Parse(CrossDeviceInfo.Current.Id).GetHashCode().ToString("X");
        }
    }
}
